package com.miaxis.userInfo.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.userInfo.domain.UserVip;

/**
 * 会员信息Mapper接口
 *
 * @author miaxis
 * @date 2022-06-02
 */
public interface UserVipMapper extends BaseMapper<UserVip> {
    /**
     * 查询会员信息列表
     *
     * @param userVip 会员信息
     * @return 会员信息集合
     */
    public List<UserVip> selectUserVipList(UserVip userVip);

    UserVip getUserVipByUserId(Long userId);

    int removeByUserId(Long userId);
}
